
=encoding utf8

=head1 NAME

Sidef::Object::Object

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Object(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Convert

=head1 METHODS

=head2 !~

    a !~ b

Returns the

=cut

=head2 &&

    a && b

Returns the

=cut

=head2 :

    a : b

Returns the

=cut

=head2 \\

    a \\ b

Returns the

=cut

=head2 ^

    a ^ b

Returns the

=cut

=head2 |>

    a |> b

Returns the

=cut

=head2 ||

    a || b

Returns the

=cut

=head2 ~~

    a ~~ b

Returns the

Aliases: I<smartmatch>

=cut

=head2 ⫶

    a ⫶ b

Returns the

=cut

=head2 ：

    a ： b

Returns the

=cut

=head2 alias_method

    self.alias_method(old, new)

Returns the

=cut

=head2 bless

    obj.bless(arg)

Returns the

=cut

=head2 class

    obj.class

Returns the

=cut

=head2 clone

    obj.clone

Returns the

=cut

=head2 dclone

    self.dclone

Returns the

Aliases: I<deep_clone>

=cut

=head2 def_method

    self.def_method(name, block)

Returns the

=cut

=head2 dump

    self.dump

Returns the

=cut

=head2 interpolate

    self.interpolate

Returns the

=cut

=head2 is_a

    self.is_a(obj)

Returns the

Aliases: I<is_an>, I<kind_of>

=cut

=head2 is_object

    self.is_object

Returns the

=cut

=head2 is_typename

    self.is_typename

Returns the

=cut

=head2 lazy

    self.lazy

Returns the

=cut

=head2 method

    self.method(method, *args)

Returns the

=cut

=head2 methods

    self.methods(*args)

Returns the

=cut

=head2 new

    self.new

Returns the

=cut

=head2 parent_classes

    obj.parent_classes

Returns the

=cut

=head2 print

    self.print

Returns the

=cut

=head2 ref

    obj.ref

Returns the

=cut

=head2 refaddr

    self.refaddr

Returns the

Aliases: I<object_id>

=cut

=head2 reftype

    self.reftype

Returns the

Aliases: I<object_type>

=cut

=head2 respond_to

    self.respond_to(method)

Returns the

=cut

=head2 say

    self.say

Returns the

Aliases: I<println>

=cut

=head2 undef_method

    self.undef_method(name)

Returns the

=cut
